Create Summary (Deprecated)
POST/documents/:document_id/summaries
This endpoint has been deprecated and may be replaced or removed in future versions of the API.
Create a summary for a document.
Deprecated: Use POST /summaries/jobs instead for job-based summary generation.
This endpoint creates a summary request. The summary will be generated asynchronously if block_until_completed is False. If block_until_completed is True, the endpoint will block until the summary is completed and return the summary. If the document is not processed yet, the endpoint will wait for it to be parsed and then generate the summary. If the document is not processed after 120 seconds, the endpoint will return a 408 error. Use the GET endpoint to check the status and retrieve the summary when ready.
Request
Responses
- 201
- 401
- 403
- 404
- 408
- 409
- 422
Summary created or generation started
Unauthorized
Forbidden
Not Found
Request Timeout
Conflict
Unprocessable Entity